phpBB2Refugees.com Logo
Not affiliated with or endorsed by the phpBB Group

Register •  Login 

Continue the legacy...

Welcome to all phpBB2 Refugees!Wave Smilie

This site is intended to continue support for the legacy 2.x line of the phpBB2 bulletin board package. If you are a fan of phpBB2, please, by all means register, post, and help us out by offering your suggestions. We are primarily a community and support network. Our secondary goal is to provide a phpBB2 MOD Author and Styles area.

phpBB2 incompatible with PHP6?


 
Search this topic... | Search phpBB2 Discussion... | Search Box
Register or Login to Post    Index » phpBB2 Discussion  Previous TopicPrint TopicNext Topic
Author Message
Sylver Cheetah 53
Board Member



Joined: 17 Dec 2008

Posts: 426
Location: Milky Way


flag
PostPosted: Tue Jan 06, 2009 9:54 pm 
Post subject: phpBB2 incompatible with PHP6?

Hy, guys. icon_smile.gif I've heard some things that phpBB2 could not work or have some big issues with PHP6. Some people say that the code is to old and it will not work anymore. icon_sad.gif Is any of this true? They are trying to scare us so we put phpBB3? icon_rolleyes.gif And if indeed the code is too old, there could be some small inconsiderable problems or some big ones like forum not working anymore? icon_confused.gif

Some of you are big programmers so I hope you can clear me out on this one. icon_wink.gif I intend to keep using phpBB2 for at least one more year if not more. I like it a lot and I keep installing MODs to it, but I want it to still work and do not have access to my host, I can not tell them to not update PHP. icon_rolleyes.gif

Thanks!

_________________
Image link
My Forum || My Blog

phpBB2 forever! icon_smile.gif
Back to top
Ptirhiik
Board Member



Joined: 19 Nov 2008

Posts: 114


flag
PostPosted: Tue Jan 06, 2009 10:00 pm 
Post subject: Re: phpBB2 incompatible with PHP6?

I'm waiting to php 6 final, but for now, I've encountered nothing that may prevent phpBB 2 to work.
Back to top
Sylver Cheetah 53
Board Member



Joined: 17 Dec 2008

Posts: 426
Location: Milky Way


flag
PostPosted: Tue Jan 06, 2009 10:03 pm 
Post subject: Re: phpBB2 incompatible with PHP6?

That is good news. icon_biggrin.gif I was thinking that is a bit strange... Is like saying you can play Super Mario because your computer is too advanced. A new game on an old computer, yes, may not work, but an old game on a new computer should work just fine. icon_wink.gif
I know that PHP6 is still Beta, but I was a little scared by the stuff coming to my ears. icon_mrgreen.gif

_________________
Image link
My Forum || My Blog

phpBB2 forever! icon_smile.gif
Back to top
Dog Cow
Board Member



Joined: 18 Nov 2008

Posts: 378


flag
PostPosted: Wed Jan 07, 2009 4:53 pm 
Post subject: Re: phpBB2 incompatible with PHP6?

Sylver Cheetah 53 wrote:
Hy, guys. icon_smile.gif I've heard some things that phpBB2 could not work or have some big issues with PHP6. Some people say that the code is to old and it will not work anymore. icon_sad.gif Is any of this true?

I have a feeling that there's only about 1% of people out there who have actually tried phpBB 2 on PHP 6. I myself haven't, (since I haven't gotten PHP 6 to compile yet) but I've read over the notes included with PHP 6 and there doesn't appear to be anything outright that is incompatible.

The biggest changes with PHP 6 and phpBB2 are the removal of magic quotes, register_globals, and safe mode.

Generally, I think it's safe to assume that the developers of PHP wish to keep compatibility with as many older scripts as possible.
Back to top
Techie-Micheal
Board Member



Joined: 27 Dec 2008

Posts: 49



PostPosted: Sat Jan 10, 2009 10:37 pm 
Post subject: Re: phpBB2 incompatible with PHP6?

Sylver Cheetah 53 wrote:
That is good news. icon_biggrin.gif I was thinking that is a bit strange... Is like saying you can play Super Mario because your computer is too advanced. A new game on an old computer, yes, may not work, but an old game on a new computer should work just fine. icon_wink.gif
That's not always the case ... Try playing something built for MS-DOS on Windows Vista and it will probably not work. icon_wink.gif
Back to top
Sylver Cheetah 53
Board Member



Joined: 17 Dec 2008

Posts: 426
Location: Milky Way


flag
PostPosted: Mon Jan 12, 2009 10:54 pm 
Post subject: Re: phpBB2 incompatible with PHP6?

I don't know, I do not and never will use Vista. icon_cool.gif
_________________
Image link
My Forum || My Blog

phpBB2 forever! icon_smile.gif
Back to top
SamG
Board Member



Joined: 12 Dec 2008

Posts: 48
Location: Beautiful Northwest Lower Michigan


flag
PostPosted: Tue Jan 13, 2009 6:21 pm 
Post subject: Re: phpBB2 incompatible with PHP6?

The point is that web hosts do "use Vista" in the sense that they, as they see fit (and not according to customer preferences), upgrade the software running their servers. It's not so much the hardware as the software that matters to phpBB 2, where there are crucial dependencies on PHP and the database applications. Eventually phpBB 2, like phpBB 1, will become unusable on production servers. That may be months or years down the road, but it almost certainly will happen simply because the hosts "use Vista."
Back to top
Dog Cow
Board Member



Joined: 18 Nov 2008

Posts: 378


flag
PostPosted: Tue Jan 13, 2009 8:49 pm 
Post subject: Re: phpBB2 incompatible with PHP6?

SamG wrote:
phpBB 1, will become unusable on production servers.

What's this? icon_mad.gif I knew someone would try to drag it in. Well, I'll have you know that I installed phpBB 1.4.4. on my Mac a few nights ago, and it is on Apache 2.2.x, PHP 5.2.6, and MySQL 5.1.30 and likes it A-OK.

You can't take my phpBB 1 away! Ha! It lives on! icon_twisted.gif for the moment, anyway... I get your point, though.
Back to top
SamG
Board Member



Joined: 12 Dec 2008

Posts: 48
Location: Beautiful Northwest Lower Michigan


flag
PostPosted: Tue Jan 13, 2009 9:38 pm 
Post subject: Re: phpBB2 incompatible with PHP6?

icon_smile.gif I really wasn't trying to prove anything beyond software having a finite life because of things outside the end user's control, if nothing else.

I wish I had a dollar -- just a dollar -- for every piece of orphaned computer software and hardware I've owned over the past 25 years. I could pay cash for a top of the line PS3 and a couple of games. icon_cry.gif
Back to top
roadhog
Board Member



Joined: 19 Nov 2008

Posts: 95
Location: Central Texas


flag
PostPosted: Tue Jan 13, 2009 10:22 pm 
Post subject: Re: phpBB2 incompatible with PHP6?

SamG wrote:
I wish I had a dollar -- just a dollar -- for every piece of orphaned computer software and hardware I've owned over the past 25 years. I could pay cash for a top of the line PS3 and a couple of games. icon_cry.gif


Amen to that. I think even 50 cents might do the trick. icon_lol.gif
Back to top
Dog Cow
Board Member



Joined: 18 Nov 2008

Posts: 378


flag
PostPosted: Wed Jan 14, 2009 5:56 pm 
Post subject: phpBB 2 is fully compatible with PHP 6!

phpBB 2 is fully compatible with PHP6!

Here are two screenshots:
- phpBB 2.0.23 running PHP 6.0.0-dev
- phpBB 1.4.4 running PHP 6.0.0-dev

Yep, that's right! Both phpBB 1 and 2 will run on PHP 6. phpBB 1 needs just one change, and phpBB 2 needs just three changes.

I finally compiled PHP 6.0.0-dev on my Mac last night and spent the evening trying out as many scripts as I could. Everything that was written to strict PHP 5 standards ran flawlessly.

I typed a document on exactly what the 3 changes are for phpBB 2, so click here to read it.
Back to top
Display posts from previous:   
Register or Login to Post    Index » phpBB2 Discussion  Previous TopicPrint TopicNext Topic
Page 1 of 1 All times are GMT
 
Jump to:  

Index • About • FAQ • Rules • Privacy • Search •  Register •  Login 
Not affiliated with or endorsed by the phpBB Group
Powered by phpBB2 © phpBB Group
Generated in 0.0177 seconds using 15 queries. (SQL 0.0019 Parse 0.0006 Other 0.0152)
phpBB Customizations by the phpBBDoctor.com
Template Design by DeLFlo and MomentsOfLight.com Moments of Light Logo